From 52f97fc5445b739f1fa3577c8c6c563de24fc6cd Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 27 Jul 2022 16:54:47 -0500
Subject: [PATCH 06/23] cirrus/freebsd: run build+check in a make vpath

ci-os-only: freebsd
---
 .cirrus.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/.cirrus.yml b/.cirrus.yml
index 4ad20892eeb..aa3746d0440 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -90,7 +90,7 @@ task:
   # freebsd already takes longer than other platforms except for windows.
   configure_script: |
     su postgres <<-EOF
-      ./configure \
+      mkdir build; cd build; ../configure \
         --enable-cassert --enable-debug --enable-tap-tests \
         --enable-nls \
         \
@@ -119,7 +119,7 @@ task:
     EOF
   build_script: |
     su postgres -c "ccache --zero-stats"
-    su postgres -c "gmake -s -j${BUILD_JOBS} world-bin"
+    su postgres -c "cd build && gmake -s -j${BUILD_JOBS} world-bin"
     su postgres -c "ccache --show-stats"
   upload_caches: ccache
 
@@ -128,7 +128,7 @@ task:
   # https://savannah.gnu.org/bugs/?60774
   # script uses pseudo-ttys, which do support locking.
   test_world_script:
-    - su postgres -c "time script test.log gmake -s -j${TEST_JOBS} ${CHECK} ${CHECKFLAGS}"
+    - su postgres -c "cd build && time script test.log gmake -s -j${TEST_JOBS} ${CHECK} ${CHECKFLAGS}"
 
   on_failure:
     <<: *on_failure
-- 
2.17.1

